import { SFCBlock, SFCDescriptor } from 'vue-template-compiler';
export declare const parse: (source: string) => SFCDescriptor;
/**
 * Given the source of an SFC and a parsed styleblock from an SFC, this method will remove
 * the given style block and return the resulting source.
 *
 * Note that whitespace is preserved for debugging purposes
 */
export declare const removeStyleBlock: (source: string, styleDescriptor: SFCBlock) => string;
/**
 * Given the source of an SFC and the name of a theme, this method will remove all
 * style blocks that have a theme attribute specified whose value does not equal the
 * given theme name. It will not remove style blocks without a theme attribute specified.
 */
export declare const removeOtherThemes: (source: string, theme?: string | undefined) => string;
export interface LoaderOptions {
    theme?: string;
    devMode?: boolean;
}
export default function vueThemeLoader(this: LoaderOptions, source: string): string;
